libsidplayfp::c64env Class Referenceabstract

`#include <c64env.h>`

Inheritance diagram for libsidplayfp::c64env:

## Public Member Functions

| c64env (EventScheduler &scheduler)
EventScheduler & | scheduler () const
virtual uint8_t | cpuRead (uint_least16_t addr)=0
virtual void | cpuWrite (uint_least16_t addr, uint8_t data)=0
virtual void | interruptIRQ (bool state)=0
virtual void | interruptNMI ()=0
virtual void | interruptRST ()=0
virtual void | setBA (bool state)=0
virtual void | lightpen (bool state)=0

## Detailed Description

An implementation of of this class can be created to perform the C64 specifics. A pointer to this child class can then be passed to each of the components so they can interact with it.

The documentation for this class was generated from the following file:

- c64env.h